Skip to main content

List Projects (V2)

List all projects scoped to API-Key.

GET/v2/projects
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Acceptstringheader

Use application/json.

Example Value: application/json
bash
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/projects" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses

Return a list of projects in detail.

One variant of the successful response body, given as an object.

codeinteger<int32>

Response code.

dataarray

Response payload, which is a list of projects in detail.

[]dataobject

List of projects in detail.

projectNamestring

Name of a project.

projectIdstring

ID of a project.

descriptionstring

Description of the project.

createdBystring

User who created the project.

instanceCountinteger<int32>

Number of clusters in the projects.

servingInstanceCountinteger<int32>

Number of serving instances in the project.

queryClusterCountinteger<int32>

Number of query clusters in the project.

createTimestring<date-time>

Time at which the project is created.

planstring

The subscription plan of the current project. Possible values are Standard, Enterprise, or BusinessCritical.

regionIdsarray

Region IDs of a project.

[]regionIdsstring

A region ID. You can use the List regions to list applicable region IDs.

orgTypestring

The type of the organization. Possible values are SAAS or BYOC.

A failure response.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": [
{
"projectName": "Default Project",
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxxx",
"regionIds": [
"aws-us-east-1"
],
"instanceCount": 2,
"createTime": "2023-08-16T07:34:06Z",
"plan": "Enterprise",
"orgType": "SAAS",
"description": "A project for organizing clusters and resources."
}
]
}